services:
  vaultwarden:
    environment:
      ADMIN_TOKEN: "${VAULTWARDEN_ADMIN_PASSWORD}"
      DATABASE_URL: "postgresql://vaultwarden:${VAULTWARDEN_POSTGRES_PASSWORD}@vaultwarden-pg:5432/vaultwarden-db"
      # RUNTIPI Environment      
      RUNTIPI_APP_PORT: "${APP_PORT}"
      RUNTIPI_APP_ID: "${APP_ID}"
      RUNTIPI_APP_DATA_DIR: "${APP_DATA_DIR}"
      RUNTIPI_APP_EXPOSED: "${APP_EXPOSED}"
      RUNTIPI_APP_DOMAIN: "${APP_DOMAIN}"
      RUNTIPI_APP_HOST: "${APP_HOST}"
    networks:
    # - tipi_main_network
    - vaultwarden_pg_dockge
    volumes:
    - /srv/vaultwarden/data:/data
    labels:
      # Websecure
      traefik.http.routers.vaultwarden.rule: Host(`www.${ROOT_DOMAIN}`)${APP_ROUTE_OPTIONAL:-}
      # traefik.http.routers.vaultwarden-more.entrypoints: websecure
      # traefik.http.routers.vaultwarden-more.service: vaultwarden
      # traefik.http.routers.vaultwarden-more.tls: true
      # traefik.http.routers.vaultwarden-more.tls.certresolver: myresolver
networks:
  vaultwarden_pg_dockge:
    external: true
    name: vaultwarden-pg_dockge
